.main_content_div{
    width: 100%;

    .line_div{
        width: 100%;
        height: 1px;
        background: lightgray;
        margin-top: 10px;
        margin-bottom: 10px;
    }

    .back_image{
        height: 300px;
        width: 100%;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        position: relative;

        ion-button{
            position: absolute;
            bottom: 20px;
            right: 20px;
            --background: white;
            color: black;
            font-weight: 600;
        }
    }

    .white_div{
        height: 90px;
        width: 90px;
        background:white;
        border-radius: 50%;
        margin: auto;
        margin-top: -45px;
        position: relative;
        border: 4px solid white;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
    }

    .content_div{
        padding: 20px;
        ion-label {
            display: block;
        }
        .usernane{
            text-align: center;
            font-weight: 600;
            font-size: 18px;
            // margin-top: 10px;
        }
        .location{
            margin-top: 10px;
            text-align: center;
            color: gray;
            font-size: 14px;
        }
        .pin{
            color: gray;
        }

        .flex_div{
            margin-top: 20px;
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            flex-wrap: wrap;
            ion-label {
                border-bottom: 2px solid var(--ion-color-primary);;
                padding-bottom: 5px;
                margin-bottom: 20px;
            }
            
            // ion-button{
            //     border: 1px solid lightgray;
            //     border-radius: 5px;
            //     color: black;
            // }
        }
        .flex_div1{
            margin-top: 20px;
            display: flex;
            justify-content: center;
            flex-direction: column;
            align-items: center;

            .gray_div{
                height: 60px;
                width: 60px;
                border-radius: 5px;
                background: lightgray;
                position: relative;;
            }

            .history{
                width: 45px;
                height: 45px;
                position: absolute;
                left: 50%;
                top : 50%;
                transform: translate(-50%,-50%);
            }
        }

        .segment_div{
            display: flex;
            margin-top: 20px;
            border-bottom: 1px solid lightgray;
            ion-label {
                margin-right: 30px;
                color: gray;
                padding-bottom: 10px;
            }
            .active{
                border-bottom: 1px solid red;
            }
        }
            .bgImg{
                height: 150px;
                width: 100%;
                background-position: center;
                background-size: cover;
                background-repeat: no-repeat;
                position: relative;
            }
        .segment_detail{
            padding-top: 20px;
            .sleepy{
                margin: auto;
                display: block;
            }
            .sleepy_lbl{
                display: block;
                text-align: center;
                margin-top: 20px;
                margin-bottom: 20px;
                color: gray;
                font-size: 14px;
            }
           
            .review_card{

                .user_info{
                    display: flex;
                    flex-direction: row;
                    width: 100%;
                    align-items: center;
                    position: relative;

                    .rating{
                        position: absolute;
                        background: #b2d9b2;
                        border: 1px solid #7bdb7b;
                        padding: 3px 7px;
                        color: green;
                        border-radius: 25px;
                        font-size: 12px;
                        font-weight: 600;
                        margin-left: 5px;
                        right: 0;
                        top: 0;
                    }
                }
                .user_back{
                    height: 50px;
                    width: 50px;
                    background-position: center;
                    background-size: cover;
                    background-repeat: no-repeat;
                    border-radius: 50%;
                }
                .username{
                    font-weight: 600;
                }
                .city{
                    color: gray;
                }
                .comment{
                    margin-top: 10px;
                    font-size: 13px;
                }
            }
            .back_image2{
                height: 100px;
                width: 100%;
                background-position: center;
                background-size: cover;
                background-repeat: no-repeat;
                border-radius: 10px;
            }
        }

        .logout{
            --border-radius: 5px;
            margin-top: 20px;
            font-weight: 600;
        }
    }
}